package com.hzya.frame.sys.templateFields.entity;

import java.util.Date;
import cn.dev33.satoken.stp.StpUtil;
import com.hzya.frame.uuid.UUIDUtils;
import com.hzya.frame.web.entity.BaseEntity;
import org.springframework.format.annotation.DateTimeFormat;
import com.fasterxml.jackson.annotation.JsonFormat;
import java.math.BigDecimal;
/**
 * @description: 模版字段表
 * @tableName:   sys_template_fields
 * @entityName:  TemplateFields
 * @author: 	 llg
 * @history:	 1.0
 */
public class  TemplateFields  extends BaseEntity {

	/** 唯一标识码 */
	private String id;
	/** 模版id */
	private String templateId;
	/** Service服务名 */
	private String serviceName;
	/** Table名称（英文名称） */
	private String tableName;
	/** 字段表id */
	private String fieldsId;
	/** 数据库表id */
	private String databaseId;
	/** 字段名称 */
	private String fieldsName;
	/** 字段备注 */
	private String fieldsRemark;
	/** 类型 Vachar,number,decimal,datetime,array(如为array字段需设置明细数据) */
	private String fieldsType;
	/** 长度 */
	private String fieldsLength;
	/** 是否必填 */
	private String fieldsRequired;
	/** 是否唯一性 */
	private String fieldsSole;
	/** 字段属性 设置字段的渲染属性，存json */
	private String fieldsOption;
	/** 明细字段 只有数据结构为array可设置 */
	private String detailFields;
	/** 明细service名称 */
	private String detailService;
	/** 明细表名 */
	private String detailTable;
	/** 排序 */
	private Long sorts;
	/** 创建人id */
	private String createUserId;
	@JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
	@DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
	private Date createTime;
	/** 修改人id */
	private String modifyUserId;
	@JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
	@DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
	private Date modifyTime;
	/** 状态(Y正常N删除) */
	private String sts;
	/** 组织机构ID */
	private String orgId;
	private String sort;
	private String order;

	/** 唯一标识码 */
	public void setId(String id) {
		this.id = id;
	}
	/** 唯一标识码 */
	public String getId() {
		return id;
	}
	/** 模版id */
	public void setTemplateId(String templateId) {
		this.templateId = templateId;
	}
	/** 模版id */
	public String getTemplateId() {
		return templateId;
	}
	/** Service服务名 */
	public void setServiceName(String serviceName) {
		this.serviceName = serviceName;
	}
	/** Service服务名 */
	public String getServiceName() {
		return serviceName;
	}
	/** Table名称（英文名称） */
	public void setTableName(String tableName) {
		this.tableName = tableName;
	}
	/** Table名称（英文名称） */
	public String getTableName() {
		return tableName;
	}
	/** 字段表id */
	public void setFieldsId(String fieldsId) {
		this.fieldsId = fieldsId;
	}
	/** 字段表id */
	public String getFieldsId() {
		return fieldsId;
	}
	/** 数据库表id */
	public void setDatabaseId(String databaseId) {
		this.databaseId = databaseId;
	}
	/** 数据库表id */
	public String getDatabaseId() {
		return databaseId;
	}
	/** 字段名称 */
	public void setFieldsName(String fieldsName) {
		this.fieldsName = fieldsName;
	}
	/** 字段名称 */
	public String getFieldsName() {
		return fieldsName;
	}
	/** 字段备注 */
	public void setFieldsRemark(String fieldsRemark) {
		this.fieldsRemark = fieldsRemark;
	}
	/** 字段备注 */
	public String getFieldsRemark() {
		return fieldsRemark;
	}
	/** 类型 Vachar,number,decimal,datetime,array(如为array字段需设置明细数据) */
	public void setFieldsType(String fieldsType) {
		this.fieldsType = fieldsType;
	}
	/** 类型 Vachar,number,decimal,datetime,array(如为array字段需设置明细数据) */
	public String getFieldsType() {
		return fieldsType;
	}
	/** 长度 */
	public void setFieldsLength(String fieldsLength) {
		this.fieldsLength = fieldsLength;
	}
	/** 长度 */
	public String getFieldsLength() {
		return fieldsLength;
	}
	/** 是否必填 */
	public void setFieldsRequired(String fieldsRequired) {
		this.fieldsRequired = fieldsRequired;
	}
	/** 是否必填 */
	public String getFieldsRequired() {
		return fieldsRequired;
	}
	/** 是否唯一性 */
	public void setFieldsSole(String fieldsSole) {
		this.fieldsSole = fieldsSole;
	}
	/** 是否唯一性 */
	public String getFieldsSole() {
		return fieldsSole;
	}
	/** 字段属性 设置字段的渲染属性，存json */
	public void setFieldsOption(String fieldsOption) {
		this.fieldsOption = fieldsOption;
	}
	/** 字段属性 设置字段的渲染属性，存json */
	public String getFieldsOption() {
		return fieldsOption;
	}
	/** 明细字段 只有数据结构为array可设置 */
	public void setDetailFields(String detailFields) {
		this.detailFields = detailFields;
	}
	/** 明细字段 只有数据结构为array可设置 */
	public String getDetailFields() {
		return detailFields;
	}
	/** 明细service名称 */
	public void setDetailService(String detailService) {
		this.detailService = detailService;
	}
	/** 明细service名称 */
	public String getDetailService() {
		return detailService;
	}
	/** 明细表名 */
	public void setDetailTable(String detailTable) {
		this.detailTable = detailTable;
	}
	/** 明细表名 */
	public String getDetailTable() {
		return detailTable;
	}
	/** 排序 */
	public void setSorts(Long sorts) {
		this.sorts = sorts;
	}
	/** 排序 */
	public Long getSorts() {
		return sorts;
	}
	/** 创建人id */
	public void setCreateUserId(String createUserId) {
		this.createUserId = createUserId;
	}
	/** 创建人id */
	public String getCreateUserId() {
		return createUserId;
	}
	/** 创建时间 */
	public void setCreateTime(Date createTime) {
		this.createTime = createTime;
	}
	/** 创建时间 */
	public Date getCreateTime() {
		return createTime;
	}
	/** 修改人id */
	public void setModifyUserId(String modifyUserId) {
		this.modifyUserId = modifyUserId;
	}
	/** 修改人id */
	public String getModifyUserId() {
		return modifyUserId;
	}
	/** 修改时间 */
	public void setModifyTime(Date modifyTime) {
		this.modifyTime = modifyTime;
	}
	/** 修改时间 */
	public Date getModifyTime() {
		return modifyTime;
	}
	/** 状态(Y正常N删除) */
	public void setSts(String sts) {
		this.sts = sts;
	}
	/** 状态(Y正常N删除) */
	public String getSts() {
		return sts;
	}
	/** 组织机构ID */
	public void setOrgId(String orgId) {
		this.orgId = orgId;
	}
	/** 组织机构ID */
	public String getOrgId() {
		return orgId;
	}
	public String getSort() {
		return sort;
	}

	public void setSort(String sort) {
		this.sort = sort;
	}

	public String getOrder() {
		return order;
	}

	public void setOrder(String order) {
		this.order = order;
	}




}
